/usr/bin/torbrowser: line 223: /home/user/.tb/tor-browser/Browser/start-tor-browser: cannot execute binary file: Exec format error

I am running Qubes OS 3.2 and I have upgraded Whonix to the latest using the Qubes vm manager. I am running only the standard Whonix and nothing in testing or apparmor.
I am having a similiar issue with my torbowser. It won’t start at all since a recent update I did from the qubes vm manager. I did a whonixcheck and it came out all green checks. I reinstalled the whonix-ws template and whonix-gw template in qubes and that did not fix the issue. I ran

bash -x torbrowser

and I got this printout…

user@host:~$ bash -x torbrowser
+ set -o pipefail
+ set -o errtrace
++ basename /usr/bin/torbrowser
+ SCRIPTNAME=torbrowser
+ IDENTIFIER=torbrowser
+ ICON=/usr/share/icons/anon-icon-pack/tbupdate.ico
+ trap tb_error_handler ERR
+ main_function
+ root_check
++ id -u
+ '[' 1000 '!=' 0 ']'
+ true
+ tb_preparation
+ '[' -n '' ']'
+ tb_home_folder=/home/user/.tb
+ '[' -n '' ']'
+ tb_cache_folder=/home/user/.cache/tb
+ shopt -s nullglob
+ local i
+ for i in '/etc/torbrowser.d/*.conf'
+ bash -n /etc/torbrowser.d/30_default.conf
+ source /etc/torbrowser.d/30_default.conf                                                                                                                                      
+ '[' -n '' ']'                                                                                                                                                                 
+ tb_browser_folder=/home/user/.tb/tor-browser                                                                                                                                  
+ '[' '' = '' ']'
+ '[' :0 = '' ']'
+ display=:0
+ output=/usr/lib/msgcollector/msgcollector
+ local my_tty
+ local my_tty_exit_code
+ my_tty_exit_code=0
++ tty
+ my_tty=/dev/pts/0
+ '[' '!' 0 = 0 ']'
+ '[' /dev/pts/0 = '' ']'
++ whoami
+ who_ami=user
+ output_opt_1='--icon /usr/share/icons/anon-icon-pack/tbupdate.ico'
+ output_opt_2='--parentpid 7154'
+ output_opt_3='--identifier torbrowser'
+ output_opt_4='--parenttty /dev/pts/0'
+ output_opt_5='--whoami user'
+ output_opts=("$output_opt_1" "$output_opt_2" "$output_opt_3" "$output_opt_4" "$output_opt_5")
+ TITLE='Tor Browser Starter (by Whonix developers)'
+ tb_set_links
+ DOC_LINK=https://www.whonix.org/wiki/Documentation
+ CONTRIBUTE_LINK=https://www.whonix.org/wiki/Contribute
+ DONATE_LINK=https://www.whonix.org/wiki/Donate
+ FORUM_LINK=https://forums.whonix.org
+ MAILINGLIST_LINK=https://www.whonix.org/pipermail/whonix-devel/
+ IMPORTANTBLOG_LINK=https://www.whonix.org/blog/category/important
+ FEATUREBLOG_LINK=https://www.whonix.org/blog/
+ '[' '!' '' = '' ']'
+ '[' -f /usr/share/anon-ws-base-files/workstation ']'
+ local whonix_homepage
+ whonix_homepage=/usr/share/homepage/whonix-welcome-page/whonix.html
+ '[' -f /usr/share/homepage/whonix-welcome-page/whonix.html ']'
+ DEFAULT_LINK=file:///usr/share/homepage/whonix-welcome-page/whonix.html
+ open_link_confirmation_maybe_skip=true
+ parse_cmd_options
+ :
+ case $1 in
+ break
+ local other_args
+ other_args=
+ '[' '' = '' ']'
+ '[' '' = '' ']'
+ LINK=file:///usr/share/homepage/whonix-welcome-page/whonix.html
+ '[' true = true ']'
+ open_link_confirmation_skip=true
+ maybe_install_tor_browser
+ '[' -d /home/user/.tb/tor-browser ']'
+ return 0
+ tb_folder_change_directory
+ local change_directory_exit_code=0
+ cd /home/user/.tb/tor-browser
+ '[' '!' 0 = 0 ']'
+ maybe_use_open_link_confirmation
+ '[' '' = true ']'
+ tool=tb_start_tor_browser
+ '[' -x /usr/lib/open_link_confirmation ']'
+ '[' '!' true = true ']'
+ '[' file:///usr/share/homepage/whonix-welcome-page/whonix.html = '' ']'
+ tb_start_tor_browser file:///usr/share/homepage/whonix-welcome-page/whonix.html
+ '[' -x /home/user/.tb/tor-browser/Browser/start-tor-browser ']'
+ /home/user/.tb/tor-browser/Browser/start-tor-browser --allow-remote file:///usr/share/homepage/whonix-welcome-page/whonix.html
/usr/bin/torbrowser: line 223: /home/user/.tb/tor-browser/Browser/start-tor-browser: cannot execute binary file: Exec format error
++ tb_error_handler
++ local exit_code=126
++ local 'MSG=###########################################################
## torbrowser script bug.
## No panic. Nothing is broken. Just some rare condition
## has been hit. Try again later. There is likely a
## solution for this problem. Please see the Whonix News,
## Whonix User Help Forum and Whonix Documentation.
## https://www.whonix.org/wiki/Tor_Browser
## Please report this bug!
##
## BASH_COMMAND: "$tb_browser_folder/Browser/start-tor-browser" --allow-remote "$@"
## exit_code: 126
##
## output: /usr/lib/msgcollector/msgcollector
## output_opts: --icon /usr/share/icons/anon-icon-pack/tbupdate.ico --parentpid 7154 --identifier torbrowser --parenttty /dev/pts/0 --whoami user
## progressbaridx:
##
## Experts only:
## bash -x torbrowser
###########################################################'
++ mkdir --parents /home/user/.cache/tb
++ echo '###########################################################
## torbrowser script bug.
## No panic. Nothing is broken. Just some rare condition
## has been hit. Try again later. There is likely a
## solution for this problem. Please see the Whonix News,
## Whonix User Help Forum and Whonix Documentation.
## https://www.whonix.org/wiki/Tor_Browser
## Please report this bug!
##
## BASH_COMMAND: "$tb_browser_folder/Browser/start-tor-browser" --allow-remote "$@"
## exit_code: 126
##
## output: /usr/lib/msgcollector/msgcollector
## output_opts: --icon /usr/share/icons/anon-icon-pack/tbupdate.ico --parentpid 7154 --identifier torbrowser --parenttty /dev/pts/0 --whoami user
## progressbaridx:
##
## Experts only:
## bash -x torbrowser
###########################################################'
++ '[' '' = '' ']'
++ true
++ /usr/lib/msgcollector/msgcollector --icon /usr/share/icons/anon-icon-pack/tbupdate.ico --parentpid 7154 --identifier torbrowser --parenttty /dev/pts/0 --whoami user --messagex --typex error --titlex 'Tor Browser Starter (by Whonix developers)' --message '###########################################################
## torbrowser script bug.
## No panic. Nothing is broken. Just some rare condition
## has been hit. Try again later. There is likely a
## solution for this problem. Please see the Whonix News,
## Whonix User Help Forum and Whonix Documentation.
## https://www.whonix.org/wiki/Tor_Browser
## Please report this bug!
##
## BASH_COMMAND: "$tb_browser_folder/Browser/start-tor-browser" --allow-remote "$@"
## exit_code: 126
##
## output: /usr/lib/msgcollector/msgcollector
## output_opts: --icon /usr/share/icons/anon-icon-pack/tbupdate.ico --parentpid 7154 --identifier torbrowser --parenttty /dev/pts/0 --whoami user
## progressbaridx:
##
## Experts only:
## bash -x torbrowser
###########################################################' --done
++ /usr/lib/msgcollector/msgcollector --icon /usr/share/icons/anon-icon-pack/tbupdate.ico --parentpid 7154 --identifier torbrowser --parenttty /dev/pts/0 --whoami user --messagecli --typecli error --titlecli 'Tor Browser Starter (by Whonix developers)' --message '###########################################################
## torbrowser script bug.
## No panic. Nothing is broken. Just some rare condition
## has been hit. Try again later. There is likely a
## solution for this problem. Please see the Whonix News,
## Whonix User Help Forum and Whonix Documentation.
## https://www.whonix.org/wiki/Tor_Browser
## Please report this bug!
##
## BASH_COMMAND: "$tb_browser_folder/Browser/start-tor-browser" --allow-remote "$@"
## exit_code: 126
##
## output: /usr/lib/msgcollector/msgcollector
## output_opts: --icon /usr/share/icons/anon-icon-pack/tbupdate.ico --parentpid 7154 --identifier torbrowser --parenttty /dev/pts/0 --whoami user
## progressbaridx:
##
## Experts only:
## bash -x torbrowser
###########################################################' --done
[ERROR] [torbrowser] ###########################################################
## torbrowser script bug.
## No panic. Nothing is broken. Just some rare condition
## has been hit. Try again later. There is likely a
## solution for this problem. Please see the Whonix News,
## Whonix User Help Forum and Whonix Documentation.
## https://www.whonix.org/wiki/Tor_Browser
## Please report this bug!
##
## BASH_COMMAND: "$tb_browser_folder/Browser/start-tor-browser" --allow-remote "$@"
## exit_code: 126
##
## output: /usr/lib/msgcollector/msgcollector
## output_opts: --icon /usr/share/icons/anon-icon-pack/tbupdate.ico --parentpid 7154 --identifier torbrowser --parenttty /dev/pts/0 --whoami user
## progressbaridx:
##
## Experts only:
## bash -x torbrowser
###########################################################
++ exit 1
user@host:~$

The only error I can see, (my experience being limited) is the line…

/usr/bin/torbrowser: line 223: /home/user/.tb/tor-browser/Browser/start-tor-browser: cannot execute binary file: Exec format error

Does someone have an idea of how to fix this? Any help would be much appreciated.

Craig

Quite possibly not an issue caused by Whonix.

The output by Whonix /usr/bin/torbrowser is bad for usability and will be improved in Whonix 14. The crux however is the following.

The same would happen if you manually started Tor Browser.

( Tor Browser Essentials )

When did this start happening? Right after installing Whonix?

Did you manually reinstall Tor Browser?

This should be fixed by using a new AppVM or starting with a fresh installation of Tor Browser.

( Tor Browser Essentials )

Right after a Qubes OS update in the qubes vm manager.

No. Whonix was already installed when I installed Qubes 3.2

No. I did manually reinstall the templates whonix-ws and whonix-gw. But doing that did not fix the issue.[quote=“Patrick, post:3, topic:3778”]
This should be fixed by using a new AppVM or starting with a fresh installation of Tor Browser.
[/quote]

I will try a fresh installation of the Tor Browser per the instructions in the link you posted. Thank you for the quick response to my question.

Craig Jesson:

I did manually reinstall the templates whonix-ws and whonix-gw. But doing that did not fix the issue.

Yes, I doubt that would fix it.

Patrick,

Thank you for all of your help. Using the tor browser down loader I did a download and install of the lateset torbrowser. This fixed the startup problem. Now torbrowser starts like normal. Thank you again for all of your help.

Craig

1 Like